BimpДовідка

Групи номенклатури: методи API Bimp

Методи API Bimp для ресурсу «Групи номенклатури» (/org2/nomenclature-group/…): 4 методи. Базова адреса: https://app.bimpsoft.com. Усі запити, крім входу, передають токен компанії в заголовку access-token — див. Початок роботи з API.

МетодЩо робить
POST /org2/nomenclature-group/api-readListA request to view a list of nomenclature groups
POST /org2/nomenclature-group/api-readA request to obtain detailed information for a particular nomenclature group
POST /org2/nomenclature-group/api-createA request to create a new nomenclature group
POST /org2/nomenclature-group/api-updateA request to update information for an existing nomenclature group

api-readList

POST /org2/nomenclature-group/api-readList

A request to view a list of nomenclature groups

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring[]A unique uuid keys for the nomenclature group

Відповідь: поле data

ПолеТипОпис
[].uuidstring (uuid)A unique uuid key for the Nomenclature group
[].namestringNomenclature group name
[].descriptionstringDescription about nomenclature group
[].parentuuidnull | string (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/nomenclature-group/api-readList' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":["string"]}'

api-read

POST /org2/nomenclature-group/api-read

A request to obtain detailed information for a particular nomenclature group

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)такA unique uuid key for the nomeclature group
curl -X POST 'https://app.bimpsoft.com/org2/nomenclature-group/api-read' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-create

POST /org2/nomenclature-group/api-create

A request to create a new nomenclature group

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
namestringтакNomenclature group name
descriptionstringDescription about nomenclature group
parentuuidnull | string (uuid)

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)A unique uuid key for the Nomenclature group
curl -X POST 'https://app.bimpsoft.com/org2/nomenclature-group/api-create' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"name":"string"}'

api-update

POST /org2/nomenclature-group/api-update

A request to update information for an existing nomenclature group

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)такA unique uuid key for the Nomenclature group
namestringNomenclature group name
descriptionstringDescription about nomenclature group
parentuuidnull | string (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/nomenclature-group/api-update' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

Інтерактивна документація з можливістю надіслати тестовий запит: https://app.bimpsoft.com/docs. Специфікація OpenAPI оновлюється разом із Bimp; ця сторінка згенерована з неї автоматично.